package sys_test
import (
	πg "grumpy"
	π_grumpyΓlibΓsys "grumpy/lib/sys"
	π_grumpyΓlibΓtypes "grumpy/lib/types"
	π_grumpyΓlibΓweetest "grumpy/lib/weetest"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßFalse := πg.InternStr("False")
	ßNone := πg.InternStr("None")
	ßRunTests := πg.InternStr("RunTests")
	ßRuntimeError := πg.InternStr("RuntimeError")
	ßSystemExit := πg.InternStr("SystemExit")
	ßTestArgv := πg.InternStr("TestArgv")
	ßTestExcInfoNoException := πg.InternStr("TestExcInfoNoException")
	ßTestExcInfoWithException := πg.InternStr("TestExcInfoWithException")
	ßTestExitCode := πg.InternStr("TestExitCode")
	ßTestExitEmpty := πg.InternStr("TestExitEmpty")
	ßTestExitInvalidArgs := πg.InternStr("TestExitInvalidArgs")
	ßTestMaxInt := πg.InternStr("TestMaxInt")
	ßTestSysModules := πg.InternStr("TestSysModules")
	ßTracebackType := πg.InternStr("TracebackType")
	ßTypeError := πg.InternStr("TypeError")
	ß__main__ := πg.InternStr("__main__")
	ß__name__ := πg.InternStr("__name__")
	ßargv := πg.InternStr("argv")
	ßcode := πg.InternStr("code")
	ßexc_info := πg.InternStr("exc_info")
	ßexit := πg.InternStr("exit")
	ßisinstance := πg.InternStr("isinstance")
	ßmaxint := πg.InternStr("maxint")
	ßmodules := πg.InternStr("modules")
	ßstr := πg.InternStr("str")
	ßsys := πg.InternStr("sys")
	ßtypes := πg.InternStr("types")
	ßweetest := πg.InternStr("weetest")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 []*πg.Object
	_ = πTemp002
	var πTemp003 []πg.FunctionArg
	_ = πTemp003
	var πTemp004 *πg.Object
	_ = πTemp004
	var πTemp005 *πg.Object
	_ = πTemp005
	var πTemp006 *πg.Object
	_ = πTemp006
	var πTemp007 *πg.Object
	_ = πTemp007
	var πTemp008 *πg.Object
	_ = πTemp008
	var πTemp009 *πg.Object
	_ = πTemp009
	var πTemp010 *πg.Object
	_ = πTemp010
	var πTemp011 *πg.Object
	_ = πTemp011
	var πTemp012 *πg.Object
	_ = πTemp012
	var πTemp013 bool
	_ = πTemp013
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 17: import sys
		πF.SetLineno(17)
		if πTemp002, πE = πg.ImportModule(πF, "sys", []*πg.Code{π_grumpyΓlibΓsys.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßsys.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 18: import types
		πF.SetLineno(18)
		if πTemp002, πE = πg.ImportModule(πF, "types", []*πg.Code{π_grumpyΓlibΓtypes.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßtypes.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 20: import weetest
		πF.SetLineno(20)
		if πTemp002, πE = πg.ImportModule(πF, "weetest", []*πg.Code{π_grumpyΓlibΓweetest.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßweetest.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 23: def TestArgv():
		πF.SetLineno(23)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp001 = πg.NewFunction(πg.NewCode("TestArgv", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 24: assert sys.argv
				πF.SetLineno(24)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, πTemp001, ßargv, nil); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp002, nil); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestArgv.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 27: def TestMaxInt():
		πF.SetLineno(27)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp004 = πg.NewFunction(πg.NewCode("TestMaxInt", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 28: assert sys.maxint > 2000000000
				πF.SetLineno(28)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßmaxint, nil); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GT(πF, πTemp003, πg.NewInt(2000000000).ToObject()); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestMaxInt.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 31: def TestSysModules():
		πF.SetLineno(31)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp005 = πg.NewFunction(πg.NewCode("TestSysModules", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 32: assert sys.modules['sys'] is not None
				πF.SetLineno(32)
				πTemp002 = ßsys.ToObject()
				if πTemp004, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßmodules, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetItem(πF, πTemp005, πTemp002); πE != nil {
					continue
				}
				if πTemp002, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				πTemp001 = πg.GetBool(πTemp003 != πTemp002).ToObject()
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestSysModules.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 35: def TestExcInfoNoException():
		πF.SetLineno(35)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp006 = πg.NewFunction(πg.NewCode("TestExcInfoNoException", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 []*πg.Object
			_ = πTemp004
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 36: assert sys.exc_info() == (None, None, None)
				πF.SetLineno(36)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßexc_info, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp003.Call(πF, nil, nil); πE != nil {
					continue
				}
				πTemp004 = make([]*πg.Object, 3)
				if πTemp003, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				πTemp004[0] = πTemp003
				if πTemp003, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				πTemp004[1] = πTemp003
				if πTemp003, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				πTemp004[2] = πTemp003
				πTemp003 = πg.NewTuple(πTemp004...).ToObject()
				if πTemp001, πE = πg.Eq(πF, πTemp002, πTemp003); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestExcInfoNoException.ToObject(), πTemp006); πE != nil {
			continue
		}
		// line 39: def TestExcInfoWithException():
		πF.SetLineno(39)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp007 = πg.NewFunction(πg.NewCode("TestExcInfoWithException", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µt *πg.Object = πg.UnboundLocal; _ = µt
			var µe *πg.Object = πg.UnboundLocal; _ = µe
			var µtb *πg.Object = πg.UnboundLocal; _ = µtb
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.BaseException
			_ = πTemp002
			var πTemp003 *πg.Traceback
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 []*πg.Object
			_ = πTemp007
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				case 1: goto Label1
				default: panic("unexpected function state")
				}
				// line 40: try:
				πF.SetLineno(40)
				πF.PushCheckpoint(1)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßRuntimeError); πE != nil {
					continue
				}
				// line 41: raise RuntimeError
				πF.SetLineno(41)
				πE = πF.Raise(πTemp001, nil, nil)
				continue
				πF.PopCheckpoint()
				// line 45: assert False
				πF.SetLineno(45)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				goto Label2
			Label1:
				πTemp002, πTemp003 = πF.ExcInfo()
				goto Label3
				// line 42: except:
				πF.SetLineno(42)
			Label3:
				// line 43: t, e, tb = sys.exc_info()
				πF.SetLineno(43)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßexc_info, nil); πE != nil {
					continue
				}
				if πTemp001, πE = πTemp004.Call(πF, nil, nil); πE != nil {
					continue
				}
				if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}, πg.TieTarget{Target: &πTemp006}}}, πTemp001); πE != nil {
					continue
				}
				µt = πTemp004
				µe = πTemp005
				µtb = πTemp006
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
			Label2:
				// line 46: assert t is RuntimeError
				πF.SetLineno(46)
				if πE = πg.CheckLocal(πF, µt, "t"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.ResolveGlobal(πF, ßRuntimeError); πE != nil {
					continue
				}
				πTemp001 = πg.GetBool(µt == πTemp004).ToObject()
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				// line 47: assert isinstance(e, t)
				πF.SetLineno(47)
				πTemp007 = πF.MakeArgs(2)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				πTemp007[0] = µe
				if πE = πg.CheckLocal(πF, µt, "t"); πE != nil {
					continue
				}
				πTemp007[1] = µt
				if πTemp001, πE = πg.ResolveGlobal(πF, ßisinstance); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp007, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp007)
				if πE = πg.Assert(πF, πTemp004, nil); πE != nil {
					continue
				}
				// line 48: assert isinstance(tb, types.TracebackType)
				πF.SetLineno(48)
				πTemp007 = πF.MakeArgs(2)
				if πE = πg.CheckLocal(πF, µtb, "tb"); πE != nil {
					continue
				}
				πTemp007[0] = µtb
				if πTemp001, πE = πg.ResolveGlobal(πF, ßtypes); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßTracebackType, nil); πE != nil {
					continue
				}
				πTemp007[1] = πTemp004
				if πTemp001, πE = πg.ResolveGlobal(πF, ßisinstance); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp007, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp007)
				if πE = πg.Assert(πF, πTemp004, nil); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestExcInfoWithException.ToObject(), πTemp007); πE != nil {
			continue
		}
		// line 51: def TestExitEmpty():
		πF.SetLineno(51)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp008 = πg.NewFunction(πg.NewCode("TestExitEmpty", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µe *πg.Object = πg.UnboundLocal; _ = µe
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.BaseException
			_ = πTemp003
			var πTemp004 *πg.Traceback
			_ = πTemp004
			var πTemp005 bool
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				case 1: goto Label1
				default: panic("unexpected function state")
				}
				// line 52: try:
				πF.SetLineno(52)
				πF.PushCheckpoint(1)
				// line 53: sys.exit()
				πF.SetLineno(53)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, πTemp001, ßexit, nil); πE != nil {
					continue
				}
				if πTemp001, πE = πTemp002.Call(πF, nil, nil); πE != nil {
					continue
				}
				πF.PopCheckpoint()
				goto Label2
			Label1:
				πTemp003, πTemp004 = πF.ExcInfo()
				if πTemp001, πE = πg.ResolveGlobal(πF, ßSystemExit); πE != nil {
					continue
				}
				if πTemp005, πE = πg.IsInstance(πF, πTemp003.ToObject(), πTemp001); πE != nil {
					continue
				}
				if πTemp005 {
					goto Label3
				}
				goto Label4
				// line 54: except SystemExit as e:
				πF.SetLineno(54)
			Label3:
				µe = πTemp003.ToObject()
				// line 55: assert e.code == None, e.code  # pylint: disable=g-equals-none
				πF.SetLineno(55)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GetAttr(πF, µe, ßcode, nil); πE != nil {
					continue
				}
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.GetAttr(πF, µe, ßcode, nil); πE != nil {
					continue
				}
				if πTemp007, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
					continue
				}
				if πTemp002, πE = πg.Eq(πF, πTemp006, πTemp007); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp002, πTemp001); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
				// line 56: except:
				πF.SetLineno(56)
			Label4:
				// line 57: assert False
				πF.SetLineno(57)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestExitEmpty.ToObject(), πTemp008); πE != nil {
			continue
		}
		// line 60: def TestExitCode():
		πF.SetLineno(60)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp009 = πg.NewFunction(πg.NewCode("TestExitCode", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µe *πg.Object = πg.UnboundLocal; _ = µe
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.BaseException
			_ = πTemp004
			var πTemp005 *πg.Traceback
			_ = πTemp005
			var πTemp006 bool
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				case 1: goto Label1
				default: panic("unexpected function state")
				}
				// line 61: try:
				πF.SetLineno(61)
				πF.PushCheckpoint(1)
				// line 62: sys.exit(42)
				πF.SetLineno(62)
				πTemp001 = πF.MakeArgs(1)
				πTemp001[0] = πg.NewInt(42).ToObject()
				if πTemp002, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßexit, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				πF.PopCheckpoint()
				goto Label2
			Label1:
				πTemp004, πTemp005 = πF.ExcInfo()
				if πTemp002, πE = πg.ResolveGlobal(πF, ßSystemExit); πE != nil {
					continue
				}
				if πTemp006, πE = πg.IsInstance(πF, πTemp004.ToObject(), πTemp002); πE != nil {
					continue
				}
				if πTemp006 {
					goto Label3
				}
				goto Label4
				// line 63: except SystemExit as e:
				πF.SetLineno(63)
			Label3:
				µe = πTemp004.ToObject()
				// line 64: assert e.code == 42, e.code
				πF.SetLineno(64)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.GetAttr(πF, µe, ßcode, nil); πE != nil {
					continue
				}
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				if πTemp007, πE = πg.GetAttr(πF, µe, ßcode, nil); πE != nil {
					continue
				}
				if πTemp003, πE = πg.Eq(πF, πTemp007, πg.NewInt(42).ToObject()); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp003, πTemp002); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
				// line 65: except:
				πF.SetLineno(65)
			Label4:
				// line 66: assert False
				πF.SetLineno(66)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp002, nil); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestExitCode.ToObject(), πTemp009); πE != nil {
			continue
		}
		// line 69: def TestExitInvalidArgs():
		πF.SetLineno(69)
		πTemp003 = make([]πg.FunctionArg, 0)
		πTemp010 = πg.NewFunction(πg.NewCode("TestExitInvalidArgs", "lib/sys_test.py", πTemp003, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µe *πg.Object = πg.UnboundLocal; _ = µe
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.BaseException
			_ = πTemp004
			var πTemp005 *πg.Traceback
			_ = πTemp005
			var πTemp006 bool
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πTemp008 *πg.Object
			_ = πTemp008
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				case 1: goto Label1
				default: panic("unexpected function state")
				}
				// line 70: try:
				πF.SetLineno(70)
				πF.PushCheckpoint(1)
				// line 71: sys.exit(1, 2, 3)
				πF.SetLineno(71)
				πTemp001 = πF.MakeArgs(3)
				πTemp001[0] = πg.NewInt(1).ToObject()
				πTemp001[1] = πg.NewInt(2).ToObject()
				πTemp001[2] = πg.NewInt(3).ToObject()
				if πTemp002, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßexit, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp003.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				πF.PopCheckpoint()
				goto Label2
			Label1:
				πTemp004, πTemp005 = πF.ExcInfo()
				if πTemp002, πE = πg.ResolveGlobal(πF, ßTypeError); πE != nil {
					continue
				}
				if πTemp006, πE = πg.IsInstance(πF, πTemp004.ToObject(), πTemp002); πE != nil {
					continue
				}
				if πTemp006 {
					goto Label3
				}
				goto Label4
				// line 72: except TypeError as e:
				πF.SetLineno(72)
			Label3:
				µe = πTemp004.ToObject()
				// line 73: assert str(e) == 'exit() takes 1 arguments (3 given)', str(e)
				πF.SetLineno(73)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				πTemp001[0] = µe
				if πTemp002, πE = πg.ResolveGlobal(πF, ßstr); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µe, "e"); πE != nil {
					continue
				}
				πTemp001[0] = µe
				if πTemp007, πE = πg.ResolveGlobal(πF, ßstr); πE != nil {
					continue
				}
				if πTemp008, πE = πTemp007.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πTemp002, πE = πg.Eq(πF, πTemp008, πg.NewStr("exit() takes 1 arguments (3 given)").ToObject()); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp002, πTemp003); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
				// line 74: except:
				πF.SetLineno(74)
			Label4:
				// line 75: assert False
				πF.SetLineno(75)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
					continue
				}
				if πE = πg.Assert(πF, πTemp002, nil); πE != nil {
					continue
				}
				πE = nil
				πF.RestoreExc(nil, nil)
				goto Label2
			Label2:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßTestExitInvalidArgs.ToObject(), πTemp010); πE != nil {
			continue
		}
		if πTemp012, πE = πg.ResolveGlobal(πF, ß__name__); πE != nil {
			continue
		}
		if πTemp011, πE = πg.Eq(πF, πTemp012, ß__main__.ToObject()); πE != nil {
			continue
		}
		if πTemp013, πE = πg.IsTrue(πF, πTemp011); πE != nil {
			return nil, πE
		}
		if πTemp013 {
			goto Label1
		}
		goto Label2
		// line 78: if __name__ == '__main__':
		πF.SetLineno(78)
	Label1:
		// line 80: weetest.RunTests()
		πF.SetLineno(80)
		if πTemp011, πE = πg.ResolveGlobal(πF, ßweetest); πE != nil {
			continue
		}
		if πTemp012, πE = πg.GetAttr(πF, πTemp011, ßRunTests, nil); πE != nil {
			continue
		}
		if πTemp011, πE = πTemp012.Call(πF, nil, nil); πE != nil {
			continue
		}
		goto Label2
	Label2:
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "lib/sys_test.py", nil, 0, initModule)
}
